Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454882 - Rebase to upstream 3.2.18
Summary: Rebase to upstream 3.2.18
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: yum
Version: 5.2
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: James Antill
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: RHEL5u3_relnotes
TreeView+ depends on / blocked
 
Reported: 2008-07-10 15:08 UTC by James Antill
Modified: 2018-10-20 02:20 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
yum has been re-based to upstream version 3.2.18. This update improves the speed at which yum operates, thereby alleviating the problem posed by the ever-growing number of packages included with each minor release. In addition, this update also introduces the reinstall command, improves the interface for several commands, and applies several bug fixes, including: * Any yum commands would fail if the -c option was used to specify a configuration file residing on a web address (http). This bug is now fixed. * A checkSignal() function in yum called an incorrect exit function; as such, exiting yum would result in a traceback instead. With this release, yum now exits properly.
Clone Of:
Environment:
Last Closed: 2009-01-20 21:44:49 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2009:0176 normal SHIPPED_LIVE yum bug fix update 2009-01-20 16:05:43 UTC

Description James Antill 2008-07-10 15:08:47 UTC
Description of problem:
 This is the general BZ holder for the 5.3 errata to rebase to the 3.2.17/3.2.18
upstream yum. This rebase should be much less pain than the 3.2.8++ rebase we
did for 5.2, as we are mainly doing it for the resource usage drop work we've
done (although there are a couple of features people want to).

Version-Release number of selected component (if applicable):
current: 3.2.8++

Additional info:
 This errata goes hand in hand with bug 444085, although doesn't rely on it.
 This errata also goes hand in hand with a yum-utils errata, although shouldn't
rely on that.

Comment 1 RHEL Product and Program Management 2008-07-10 15:21:19 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 6 Don Domingo 2008-11-19 00:14:02 UTC
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
yum has been re-based to upstream version 3.2.18. This update improves the speed at which yum operates, thereby alleviating the problem posed by the ever-growing number of packages included with each minor release.

In addition, this update features several bug fixes, including:

* Any yum commands would fail if the -c option was used to specify a configuration file residing on a web address (http). This bug is now fixed.

* A checkSignal() function in yum called an incorrect exit function; as such, exiting yum would result in a traceback instead. With this release, yum now exits properly.

Comment 8 James Antill 2008-11-19 04:57:49 UTC
Release note updated. If any revisions are required, please set the 
"requires_release_notes"  flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

Diffed Contents:
@@ -1,4 +1,5 @@
 yum has been re-based to upstream version 3.2.18. This update improves the speed at which yum operates, thereby alleviating the problem posed by the ever-growing number of packages included with each minor release.
+This update also improves the user interface for many commands, adds the reinstall command and a couple of other features.
 
 In addition, this update features several bug fixes, including:

Comment 10 Don Domingo 2008-11-19 21:56:52 UTC
Release note updated. If any revisions are required, please set the 
"requires_release_notes"  flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

Diffed Contents:
@@ -1,7 +1,4 @@
-yum has been re-based to upstream version 3.2.18. This update improves the speed at which yum operates, thereby alleviating the problem posed by the ever-growing number of packages included with each minor release.
-This update also improves the user interface for many commands, adds the reinstall command and a couple of other features.
-
-In addition, this update features several bug fixes, including:
+yum has been re-based to upstream version 3.2.18. This update improves the speed at which yum operates, thereby alleviating the problem posed by the ever-growing number of packages included with each minor release. In addition, this update also introduces the reinstall command, improves the interface for several commands, and applies several bug fixes, including:
 
 * Any yum commands would fail if the -c option was used to specify a configuration file residing on a web address (http). This bug is now fixed.

Comment 13 errata-xmlrpc 2009-01-20 21:44:49 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0176.html


Note You need to log in before you can comment on or make changes to this bug.